## array-info 0.15

=== Makefile ===
DESTDIR =
prefix = /usr/local
sbindir = $(prefix)/sbin
pkglibdir = $(prefix)/lib/array-info
mandir = /usr/local/man

subdirs = lib plugins include

INCLUDES = -I./include -I./linuxheaders

CFLAGS = -g2 -Wall $(INCLUDES) -DARRAY_PLUGIN_PATH=\"$(ARRAY_PLUGIN_PATH)\"
LDFLAGS = -L./lib -larray-info -ldl
OBJS = array_plugin.o array_utils.o main.o

ARRAY_PLUGIN_PATH=$(pkglibdir)/plugins

OUTPUT = array-info
MAN = array-info.1

REL_NAME = array-info
REL_VER = 0.15
DISTDIR=$(REL_NAME)-$(REL_VER)
TARGZ=$(REL_NAME)_$(REL_VER).tar.gz
TARBZ2=$(REL_NAME)_$(REL_VER).tar.bz2

DOCBOOK2XMAN=docbook2x-man


DISTLIST = $(shell ls | grep -v $(TARGZ) | grep -v $(TARBZ2)| grep -v $(DISTDIR))


all : build_lib build_plugins $(OUTPUT) $(MAN).gz

build_lib : 
	make -C lib

build_plugins :	
	make -C plugins

$(OUTPUT) : $(OBJS)
	$(CC) -o $(OUTPUT) $(OBJS) $(LDFLAGS)

$(MAN).gz :  $(MAN).docbook
	$(DOCBOOK2XMAN) $(MAN).docbook
	-gzip --best $(MAN)

install : all $(MAN).gz
	mkdir -p $(DESTDIR)$(sbindir)/.
	cp $(OUTPUT) $(DESTDIR)$(sbindir)/.
	for dir in $(subdirs) ; do \
		$(MAKE) -C $$dir $@; \
	done
	mkdir -p $(DESTDIR)$(mandir)/man1
	cp $(MAN).gz $(DESTDIR)$(mandir)/man1/

release : indent clean
	cd .. && cp -a $(REL_NAME) $(REL_NAME)-$(REL_VER) && tar czf $(REL_NAME)-$(REL_VER).tar.gz $(REL_NAME)-$(REL_VER)

indent : 
	find . -name "*.[ch]" -exec indent -kr -i8 -ts8 -sob -l80 -ss -bs -psl {} \; && find . -name "*~" -exec rm {} \;

clean distclean ::
	for dir in $(subdirs) ; do \
		$(MAKE) -C $$dir $@ ; \
	done
clean ::
	rm -f *~ $(OBJS)

distclean :: clean
	rm -f *~ $(OBJS) $(OUTPUT) $(MAN).gz $(TARGZ) $(TARBZ2)

changelog :
	rm -f ChangeLog
	cvs2cl -U Contributors -I ChangeLog

dist : distclean
	rm -rf $(DISTDIR)
	rm -f $(TARGZ) $(TARBZ2)
	mkdir $(DISTDIR)
	cp -r $(DISTLIST) $(DISTDIR)
	-find $(DISTDIR) -type d -name CVS -exec rm -rf {} \;
	tar czf $(TARGZ) $(DISTDIR)
	tar cjf $(TARBZ2) $(DISTDIR)
	rm -rf $(DISTDIR)

=== include/Makefile ===
#!/usr/bin/make -f

install :

clean :
	rm -f *~

distclean : clean

=== plugins/Makefile ===
#!/usr/bin/make -f

DESTDIR =
prefix = /usr/local
bindir = $(prefix)/bin
pkglibdir = $(prefix)/lib/array-info

ARRAY_PLUGIN_PATH=$(pkglibdir)/plugins

INCLUDES = -I../include -I../linuxheaders

CFLAGS =  -fPIC -g2 -W -Wall $(INCLUDES)
LDFLAGS = -fPIC

ida_OBJS   = ida_info.o ida_cmd.o compaq_info.o
cciss_OBJS = cciss_info.o cciss_cmd.o compaq_info.o
md_OBJS    = md_info.o

OUTPUT = md_info.so cciss_info.so ida_info.so

REL_NAME = array-info
REL_VER = 0.15

all : $(OUTPUT)

ida_info.so: $(ida_OBJS)
	$(CC) --shared -o $@ $^ $(LDFLAGS)

cciss_info.so: $(cciss_OBJS)
	$(CC) --shared -o $@ $^ $(LDFLAGS)

md_info.so: $(md_OBJS)
	$(CC) --shared -o $@ $^ $(LDFLAGS)

install:
	install -d $(DESTDIR)$(ARRAY_PLUGIN_PATH)
	for plug in $(OUTPUT) ; do \
		install -c $$plug $(DESTDIR)$(ARRAY_PLUGIN_PATH)/. ; \
	done

indent : 
	find . -name "*.[ch]" -exec indent -kr -i8 -ts8 -sob -l80 -ss -bs -psl {} \; && find . -name "*~" -exec rm {} \;

clean :
	rm -f *~ $(md_OBJS) $(cciss_OBJS) $(ida_OBJS)

distclean :
	rm -f $(OUTPUT)

## array-info 0.16

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 prefix = /usr/local
 sbindir = $(prefix)/sbin
 pkglibdir = $(prefix)/lib/array-info
-mandir = /usr/local/man
+mandir = $(prefix)/share/man
 
 subdirs = lib plugins include
 
@@ -18,7 +18,7 @@
 MAN = array-info.1
 
 REL_NAME = array-info
-REL_VER = 0.15
+REL_VER = 0.16
 DISTDIR=$(REL_NAME)-$(REL_VER)
 TARGZ=$(REL_NAME)_$(REL_VER).tar.gz
 TARBZ2=$(REL_NAME)_$(REL_VER).tar.bz2
@@ -48,7 +48,7 @@
 	mkdir -p $(DESTDIR)$(sbindir)/.
 	cp $(OUTPUT) $(DESTDIR)$(sbindir)/.
 	for dir in $(subdirs) ; do \
-		$(MAKE) -C $$dir $@; \
+		$(MAKE) -C $$dir $@ DESTDIR=$(DESTDIR) prefix=$(prefix); \
 	done
 	mkdir -p $(DESTDIR)$(mandir)/man1
 	cp $(MAN).gz $(DESTDIR)$(mandir)/man1/
@@ -61,7 +61,7 @@
 
 clean distclean ::
 	for dir in $(subdirs) ; do \
-		$(MAKE) -C $$dir $@ ; \
+		$(MAKE) -C $$dir $@ DESTDIR=$(DESTDIR) prefix=$(prefix); \
 	done
 clean ::
 	rm -f *~ $(OBJS)
@@ -71,7 +71,7 @@
 
 changelog :
 	rm -f ChangeLog
-	cvs2cl -U Contributors -I ChangeLog
+	cvs2cl --utc -U Contributors -I ChangeLog
 
 dist : distclean
 	rm -rf $(DISTDIR)

=== lib/Makefile ===
#!/usr/bin/make -f

INCLUDES = -I../include

CFLAGS = -g2 -Wall $(INCLUDES) -fPIC
OBJS = array_plugin_api.o

OUTPUT = libarray-info.a

all : $(OUTPUT)

$(OUTPUT) : $(OBJS)
	ar -cr $(OUTPUT) $(OBJS)
	ranlib $(OUTPUT)

install:

indent : 
	find . -name "*.[ch]" -exec indent -kr -i8 -ts8 -sob -l80 -ss -bs -psl {} \; && find . -name "*~" -exec rm {} \;

clean :
	rm -f *~ $(OBJS) $(OUTPUT)

distclean : clean

=== debian/changelog ===
array-info (0.16-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Petter Reinholdtsen ]
  * Added 1000-major-minor-macros.patch to fix build problem with recent
    glibc (Closes: #916121).
  * Adjusted packaging to move AppStream metadata from
    /usr/share/appdata to /usr/share/metainfo.
  * Changed Standards-Version from 3.9.8 to 4.2.1.
  * Fixed FTCBFS: Let dh_auto_build pass cross tools to make
    (Closes: #900893).  Patch from Helmut Grohne.
  * Added d/gbp.conf to enforce the use of pristine-tar.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 15 Dec 2018 08:34:33 +0100

array-info (0.16-3) unstable; urgency=medium

  * Correct modalias AppStream info, map to cciss and md-mod kernel
    modules.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 17 Sep 2016 08:53:03 +0000

array-info (0.16-2) unstable; urgency=medium

  * Switched away from hardening-wrapper. (Closes: #836615)
  * Changed Standards-Version from 3.9.5 to 3.9.8.
  * Added AppStream modalias info.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 12 Sep 2016 20:23:54 +0000

array-info (0.16-1) unstable; urgency=low

  * New upstream release 0.16.
  * Convert rules file to use dh.
  * Add debian/watch files.
  * Move package to git repo under collab-maint maintenance.  Add Vcs-
    Git and Vcs-Browser fields in control file.
  * Enable some hardening using the hardening-wrapper package.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 21 Apr 2014 15:02:25 +0200

array-info (0.15-2) unstable; urgency=low

  * Take over package maintenance, requested by maintainer
    in bug #664407.
  * Move homepage URL to control field Homepage (Closes: #615185).
  * Fix typo in package description (Closes: #688626, #686807)
  * Migrate to new packaging format (3.0 quilt) (Closes: #664407).
    Based on patch by Jari Aalto.
    - Remove deprecated dpatch references from rules, debian/patches
      (not used) and upgrade to packaging format "3.0 quilt".
    - Update to Standards-Version to 3.9.5, debhelper to 9, add ${misc:Depends}.
    - Correct Lintian warning issues.

 -- Petter Reinholdtsen <pere@debian.org>  Sat, 01 Mar 2014 08:34:15 +0100

array-info (0.15-1) unstable; urgency=low

  * New upstream release

 -- Raphael Pinson <raphink@ubuntu.com>  Tue, 29 May 2007 18:39:33 +0200

array-info (0.13-1) unstable; urgency=low

  * Initial release (Closes #403055)
  * Upload sponsored by Petter Reinholdtsen

 -- Raphael Pinson <raphink@ubuntu.com>  Wed,  7 Feb 2007 22:27:52 +0100

=== debian/control ===
Source: array-info
Section: admin
Priority: optional
Maintainer: Petter Reinholdtsen <pere@debian.org>
Build-Depends: debhelper (>= 9), docbook2x, linux-kernel-headers
Standards-Version: 4.2.1
Homepage: http://sourceforge.net/projects/array-info/
Vcs-Git: https://salsa.debian.org/debian/array-info.git
Vcs-Browser: https://salsa.debian.org/debian/array-info

Package: array-info
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: command line tool reporting RAID status for several RAID types
 Array-info is a command line tool to retrieve information and logical
 drives status from several RAID controllers (currently HP Compaq IDA
 and CISS, and MD Software RAID).
 .
 It displays information about the firmware version, Rom revision,
 number of physical and logical drives on the controller, as well as the fault
 tolerance, size, number of physical disks and status for each logical drive.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

override_dh_auto_build:
	dh_auto_build -- all ARRAY_PLUGIN_PATH=/usr/lib/array-info/plugins

override_dh_auto_install:
	$(MAKE) install prefix=/usr mandir=/usr/share/man DESTDIR=$(CURDIR)/debian/array-info/

%:
	dh $@
